MAXScript Language Reference > 3ds Max Objects > Node : MAXWrapper > Node Subclasses > SpacewarpObject : Node > Spacewarp - Forces >

# Vortex - superclass: SpacewarpObject

    Vortex - superclass: SpacewarpObject; super-superclass:node - 19:0 - classID: #(217851359, 1867456353)

Value > MAXWrapper > SpacewarpObject >Vortex

The Vortex space warp applies a force to particle systems, spinning them through a whirling vortex, and then moving them down a long, thin spout orvortex well. Vortex is useful for creating black holes, whirlpools, tornadoes, and other funnel-type objects.

The space warp settings let you control the vortex shape, the well characteristics, and rate and range of particle capture. The shape of the vortex is also affected by particle system settings, such as speed.

Constructor

    Vortex ...

Properties

    <Vortex>.'time on' Integer default: 0 -- integer; Time_On

The frame numbers at which the space warp becomes active and becomes inactive.

    <Vortex>.'time off' Integer default: 16000 -- animatable; integer; Time_Off

The frame numbers at which the space warp becomes active and becomes inactive.

    <Vortex>.axialstrength Float default: 0.1 -- animatable; float; Axial_Drop_Strength

Specifies how quickly particles move in the direction of the drop axis.

    <Vortex>.axialrange Float default: 100.0 -- animatable; float; Axial_Range

The distance from the center of the Vortex icon, in system units, at which Axial Damping has its full effect. Takes effect only when Unlimited Range is turned off.

    <Vortex>.axialfalloff Float default: 1000.0 -- animatable; float; Axial_Falloff

Specifies the distance beyond the Axial Range within which Axial Damping is applied.

Axial Damping is strongest at the Range distance, decreases linearly out to the limit of the Axial Falloff, and has no effect beyond that.

Takes effect only when Unlimited Range is turned off.

    <Vortex>.axialdamping Float default: 5.0 -- animatable; percentage; Axial_Damping

Controls the degree to which particle motion parallel to the drop axis is restrained per frame. Default=5.0. Range=0 to 100.

For subtle effects, use values of less than 10%. For more overt effects, try using higher values that increase to 100% over the course of a few frames.

    <Vortex>.rotationstrength Float default: 0.5 -- animatable; float; Orbital_Speed_Strength

Specifies how quickly the particles rotate.

    <Vortex>.rotationrange Float default: 100.0 -- animatable; float; Orbital_Range

The distance from the center of the Vortex icon, in system units, at which Orbital Damping has its full effect.

Takes effect only when Unlimited Range is turned off.

    <Vortex>.rotationfalloff Float default: 1000.0 -- animatable; float; Orbital_Falloff

Specifies the distance beyond the Orbital Range within which Orbital Damping is applied.

Orbital Damping is strongest at the Range distance, decreases linearly out to the limit of the Orbital Falloff, and has no effect beyond that.

Takes effect only when Unlimited Range is turned off.

    <Vortex>.rotationdamping Float default: 5.0 -- animatable; percentage; Orbital_Damping

Controls the degree to which orbital particle motion is restrained per frame.

Smaller values produce a wide spiral, while larger values produce a thin spiral.

Default=5.0. Range=0 to 100.

    <Vortex>.radialstrength Float default: 0.5 -- animatable; float; Radial_Pull_Strength

Specifies the distance from the drop axis at which the particles rotate.

    <Vortex>.radialrange Float default: 100.0 -- animatable; float; Radial_Range

The distance from the center of the Vortex icon, in system units, at which Radial Damping has its full effect.

Takes effect only when Unlimited Range is turned off.

    <Vortex>.radialfalloff Float default: 1000.0 -- animatable; float; Radial_Falloff

Specifies the distance beyond the Radial Range within which Radial Damping is applied.

Radial Damping is strongest at the Range distance, decreases linearly out to the limit of the Radial Falloff, and has no effect beyond that.

Takes effect only when Unlimited Range is turned off.

    <Vortex>.radialdamping Float default: 5.0 -- animatable; percentage; Radial_Damping

Controls the degree to which Radial Pull is restrained per frame.

Default=5.0.

Range=0 to 100.

    <Vortex>.taperstrength Float default: 100.0 -- animatable; float; Taper_Length

Controls the shape of the vortex. Low values create a vortex with a wide, flared mouth, while high values create a vortex with nearly vertical sides.

Default=100.

Range=1.0 to 4.0.

    <Vortex>.tapershape Float default: 1.0 -- animatable; float; Taper_Curve

Controls the length of the vortex, as well as its shape. Lower settings give you a "tighter" vortex, while higher settings give you a "looser" vortex.

Default=100.

    <Vortex>.direction Integer default: 0 -- radio button number

Determines whether particles rotate clockwise or counterclockwise.

    <Vortex>.rangeless Boolean default: true -- boolean; Unlimited_Range

When on, Vortex exerts full damping strength over an unlimited range. When off, the Range and Falloff settings take effect.

    <Vortex>.iconsize Float default: 10.0 -- float; Icon_Size

Specifies the size of the icon.

EXAMPLE
    Vortex 'time on ':0 'time off': 16000 axialstrength:0.1 axialrange:100 axialfalloff:1000 axialdamping:5 rotationstrength:0.5 rotationrange:100 rotationfalloff:1000 rotationdamping:5 radialstrength:0.5 radialrange:100 radialfalloff:1000 radialdamping:5 taperstrength:100 tapershape:1 direction:0 rangeless:on pos:[32.5437,-58.2321,0] isSelected:on iconSize:25.8103

#### See Also

- Node Common Properties, Operators, and Methods

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods